/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

/** 
  * (Vorblatt Dokumentstatus) 20px, ZAB 26px Bold
  */
.Vorblatt-Dokumentstatus {
  font-size: 2rem;
  line-height: 2.6rem;
  font-weight: 700;
}

/** 
  * (Initiant) 20px, ZAB 26px Medium
  */
.Vorblatt-Initiant {
  font-size: 2rem;
  line-height: 2.6rem;
  font-weight: 500;
}

/** 
  * (Vorblatt Bezeichnung) 18px, ZAB 26px Medium
  */
.Vorblatt-Bezeichnung {
  font-size: 1.8rem;
  line-height: 2.6rem;
  font-weight: 500;
}

/** 
  * (Vorblatt Kurzbezeichnung) 18px, ZAB 26px Regular
  */
.Vorblatt-Kurzbezeichnung {
  font-size: 1.8rem;
  line-height: 2.6rem;
  font-weight: 400;
}

/**
  * (Vorblatt Titel Problem und Ziel)                           18px, ZAB 26px Medium
  * (Vorblatt Titel Lösung)                                     18px, ZAB 26px Medium
  * (Vorblatt Titel Alternativen)                               18px, ZAB 26px Medium
  * (Vorblatt Titel Haushaltsausgaben)                          18px, ZAB 26px Medium
  * (Vorblatt Titel Erfüllungsaufwand)                          18px, ZAB 26px Medium
  * (Vorblatt Titel Erfüllungsaufwand Bürgerinnen und Bürger)   18px, ZAB 26px Medium
  * (Vorblatt Titel Erfüllungsaufwand Wirtschaft)               18px, ZAB 26px Medium
  */
.Vorblatt-Titel {
  font-size: 1.8rem;
  line-height: 2.6rem;
  font-weight: 500;
}

/**
 * (Text) 18px, ZAB 26px Regular
 */
.Vorblatt-Text {
  font-size: 1.8rem;
  line-height: 2.6rem;
  font-weight: 400;
}

/**************************************************
 * SlateJs
 **************************************************/

.akn\:preface {
  .akn\:longTitle > .akn\:p {
    overflow: hidden;
  }

  .akn\:docStage {
    padding-bottom: 6px;
    display: inline-flex;
    float: left;
    .Vorblatt-Dokumentstatus();

    + .akn\:span {
      padding-bottom: 10px;
      .Vorblatt-Dokumentstatus();
    }
  }
  .akn\:docProponent {
    .Vorblatt-Initiant();
    padding-bottom: 48px;
  }
  .akn\:docTitle {
    padding-bottom: 6px;
    .Vorblatt-Bezeichnung();
  }

  .lea\:textWrapper:has(+ .akn\:shortTitle) {
    display: inline-flex;
    float: left;
  }

  .akn\:shortTitle {
    display: inline-flex;
    float: left;
    ~ .lea\:textWrapper {
      display: inline-flex;
      float: left;
    }
    .Vorblatt-Kurzbezeichnung();
    & > * {
      display: inline-flex;
    }
  }
  .akn\:inline {
    display: inline-flex;
    float: left;
  }
}

.akn\:mainBody {
  .akn\:p > * {
    display: inline;
  }
  .akn\:authorialNote {
    vertical-align: super;
    top: 0.5rem;
    font-size: 60%;
    user-select: none;
    line-height: 0;
    cursor: pointer;
    text-decoration: none;
  }
  .akn\:hcontainer {
    padding-top: 48px;
    & > .akn\:num,
    & > .akn\:heading {
      .Vorblatt-Titel();
      > * {
        display: inline;
      }
    }
    & > .akn\:num {
      float: left;
      display: inline-block;
      padding-right: 12px;
      & > .akn\:marker {
        height: 0;
      }
    }
    & > .akn\:heading {
      & > * {
        display: inline;
      }
      margin-bottom: 16px;
    }
    & > .akn\:content {
      font-size: 1.8rem;
      line-height: 2.6rem;
    }
    .akn\:tblock {
      padding-top: 48px;
      & > .akn\:num,
      & > .akn\:heading {
        .Vorblatt-Titel();
      }
      & > .akn\:num {
        float: left;
        display: inline-block;
        padding-right: 12px;
        & > .akn\:marker {
          height: 0;
        }
      }
      & > .akn\:heading {
        & > * {
          display: inline;
        }
        margin-bottom: 16px;
      }
      & .akn\:tblock > .akn\:heading {
        font-weight: 400;
      }
    }
  }
}
